{"swagger":"2.0","info":{"title":"Siteimprove API","version":"2"},"host":"api.eu.siteimprove.com","basePath":"/v2","tags":[{"name":"General"},{"name":"Content"},{"name":"A11YNextGen"},{"name":"Accessibility"},{"name":"Analytics"},{"name":"GDPR"},{"name":"Integrations"},{"name":"Policy"},{"name":"Quality Assurance"},{"name":"SEO"},{"name":"SeoV2"}],"paths":{"/":{"get":{"tags":["General"],"summary":"API Root","description":"Entry point to traverse the API endpoints.","produces":["application/json"],"responses":{"200":{"description":"Links to traverse the API endpoints.","schema":{"type":"object","properties":{"account_name":{"type":"string","description":"Name of the account."},"_links":{"type":"object","properties":{"documentation":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the API documentation.","title":"href"},"gdpr":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Links to GDPR","title":"href"},"integrations":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Links to integrations","title":"href"},"openapi_spec":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the Open API (OAI) specification.","title":"href"},"products":{"type":"object","properties":{"policy":{"type":"object","properties":{"policies":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to all policies available to you on your account.","title":"href"}},"description":"Link to account-wide Policy informations.","title":"_links.products.policy"}},"description":"Link to account-wide products, with further to product-specific links.","title":"_links.products"},"settings":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the account settings.","title":"href"},"sites":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the sites on the account.","title":"href"},"utilization":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Links to utilizations on the account","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Links to more detailed results.","title":"_links"}},"title":"Account"}}},"parameters":[]}},"/analytics/url_shortener/shortened_urls":{"get":{"tags":["Analytics"],"summary":"Get all account-specific shortened URLs","description":"Get all account-specific shortened URLs","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uint64","description":"An integer value of the shortened url id","title":"UInt64"},"short_url":{"type":"string","description":"A string value of the shortened url","title":"Url"},"source_url":{"type":"string","description":"A string value for the source url","title":"Url"},"url_created_date":{"type":"string","format":"date-time","description":"A string value for the created date","title":"DateTime"}},"required":["id","url_created_date"],"title":"ShortenedUrl"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"next":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the next page in the result set.","title":"href"},"prev":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the previous page in the result set.","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"ShortenedUrlList"}}},"parameters":[{"name":"site_id","in":"query","description":"Id for specific site.","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/check":{"post":{"tags":["Content"],"summary":"Upload content for an on-demand content check","description":"Upload content for an on-demand content check","produces":["application/json"],"responses":{"201":{"description":"Upload content in the body of this request, with a matching content-type header for content checking. \nAfter a successful upload, the response will include the content-id used for checking the results of the content analysis.\n\nThe supported content types are `text/plain`, `text/html` and `application/zip`","schema":{"type":"object","properties":{"content_id":{"type":"integer","format":"int64","description":"The content id returned when the content was uploaded"},"message":{"type":"string","description":"Status message for requesting the check."},"status_code":{"type":"integer","format":"int32","description":"Status code for the request.\nCode meaning detailed in the message."},"success":{"type":"boolean","description":"HTTP status code for the requested check."},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"_links"}},"required":["content_id","status_code","success"],"title":"ContentCheckResult"}},"429":{"description":"NOTRANSLATION: TK: SIAPI_RESPONSE_DESCRIPTION / PfgFramework.Client.Api.Routes.App.ContentCheckAwesomeModule+ContentCheckResult.TooManyRequests ¤","schema":{"type":"object","properties":{"content_id":{"type":"integer","format":"int64","description":"The content id returned when the content was uploaded"},"message":{"type":"string","description":"Status message for requesting the check."},"status_code":{"type":"integer","format":"int32","description":"Status code for the request.\nCode meaning detailed in the message."},"success":{"type":"boolean","description":"HTTP status code for the requested check."},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"_links"}},"required":["content_id","status_code","success"],"title":"ContentCheckResult"}},"402":{"description":"NOTRANSLATION: TK: SIAPI_RESPONSE_DESCRIPTION / PfgFramework.Client.Api.Routes.App.ContentCheckAwesomeModule+ContentCheckResult.PaymentRequired ¤","schema":{"type":"object","properties":{"content_id":{"type":"integer","format":"int64","description":"The content id returned when the content was uploaded"},"message":{"type":"string","description":"Status message for requesting the check."},"status_code":{"type":"integer","format":"int32","description":"Status code for the request.\nCode meaning detailed in the message."},"success":{"type":"boolean","description":"HTTP status code for the requested check."},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"_links"}},"required":["content_id","status_code","success"],"title":"ContentCheckResult"}},"503":{"description":"If the upload fails because the ContentCheck site is not ready yet, a 503 error will be returned with a description of the error.","schema":{"type":"object","properties":{"content_id":{"type":"integer","format":"int64","description":"The content id returned when the content was uploaded"},"message":{"type":"string","description":"Status message for requesting the check."},"status_code":{"type":"integer","format":"int32","description":"Status code for the request.\nCode meaning detailed in the message."},"success":{"type":"boolean","description":"HTTP status code for the requested check."},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"_links"}},"required":["content_id","status_code","success"],"title":"ContentCheckResult"}},"400":{"description":"If the upload fails for some reason (like content too big - greater than 10MB) a 400 error will be returned with a description of the error\n","schema":{"type":"object","properties":{"content_id":{"type":"integer","format":"int64","description":"The content id returned when the content was uploaded"},"message":{"type":"string","description":"Status message for requesting the check."},"status_code":{"type":"integer","format":"int32","description":"Status code for the request.\nCode meaning detailed in the message."},"success":{"type":"boolean","description":"HTTP status code for the requested check."},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"_links"}},"required":["content_id","status_code","success"],"title":"ContentCheckResult"}},"415":{"description":"If the uploaded content is not of one of the permitted content types, error 415 will be returned, along with a description of the error. The supported content types are `text/plain`, `text/html` and `application/zip`","schema":{"type":"object","properties":{"content_id":{"type":"integer","format":"int64","description":"The content id returned when the content was uploaded"},"message":{"type":"string","description":"Status message for requesting the check."},"status_code":{"type":"integer","format":"int32","description":"Status code for the request.\nCode meaning detailed in the message."},"success":{"type":"boolean","description":"HTTP status code for the requested check."},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"_links"}},"required":["content_id","status_code","success"],"title":"ContentCheckResult"}},"413":{"description":"If the uploaded archive is too large when unzipped (greater than 10MB), a 413 error will be returned with a description of the error","schema":{"type":"object","properties":{"content_id":{"type":"integer","format":"int64","description":"The content id returned when the content was uploaded"},"message":{"type":"string","description":"Status message for requesting the check."},"status_code":{"type":"integer","format":"int32","description":"Status code for the request.\nCode meaning detailed in the message."},"success":{"type":"boolean","description":"HTTP status code for the requested check."},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"_links"}},"required":["content_id","status_code","success"],"title":"ContentCheckResult"}}},"parameters":[]}},"/content/checks/{content_id}/a11y/issue_on_page":{"get":{"tags":["Content"],"summary":"Get the a11y issues found in the content ","description":"Get the a11y issues found in the content\n","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"conformance":{"type":"string","enum":["a","aa","aaa","aria","si","unkown"],"default":"a","description":"Conformance level (WCAG: A, AA, AAA, or Best practices: ARIA, SI)","title":"Conformance"},"difficulty":{"type":"string","enum":["difficulty1","difficulty2","difficulty3","difficulty4"],"default":"difficulty1","description":"Difficulty rating, 1-4","title":"Difficulty"},"help":{"type":"object","properties":{"description":{"type":"string","description":"Detailed description of the problem"},"title":{"type":"string","description":"Description of the issue problem"}},"description":"Further info for how to resolve the issue.","title":"help"},"occurrences":{"type":"integer","format":"int32","description":"Total number of occurrences of this issue on a site."},"rule_id":{"type":"integer","format":"int32","description":"Id of the check."}},"required":["occurrences","rule_id"],"title":"IssueOnPage"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"next":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the next page in the result set.","title":"href"},"prev":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the previous page in the result set.","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"IssueOnPageList"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/checks/{content_id}/accessibility/issues":{"get":{"tags":["Content"],"summary":"Get a list of accessibility issues for the specified content","description":"Get a list of accessibility issues for the specified content","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"check_id":{"type":"integer","format":"int32","description":"Id of the accessibility check"},"count":{"type":"integer","format":"int32","description":"Number of occurrences of the issue"},"criterion":{"type":"string","description":"The WCAG Criterion Chapter"},"issue_name":{"type":"string","description":"Issue name"},"priority":{"type":"string","enum":["aaa","aa","a"],"default":"aaa","description":"Priority of the issue","title":"CriterionPriority"},"role":{"type":"string","enum":["editorial","technical_global","technical_pages"],"default":"editorial","description":"The type of the issue","title":"Role"},"severity":{"type":"string","enum":["review","warning","error"],"default":"review","description":"Severity of the issue","title":"Severity"}},"required":["check_id","count","priority","severity"],"title":"PageIssue"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"PageIssueList"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/checks/{content_id}/issues":{"get":{"tags":["Content"],"summary":"Get issue found for this page","description":"Get the full list of content-check issue found for this page.","produces":["application/json"],"responses":{"200":{"description":"The issues found","schema":{"type":"object","properties":{"a11y":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the found issue"},"info":{"type":"string","description":"Further optional information about the issue"},"matches":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the match. For e.g. a misspelling match, this will be the actual misspelled word."},"occurrence":{"type":"object","properties":{"mode":{"type":"string","enum":["content"],"default":"content","description":"Indicate how this occurrence shall be shown in the page content.","title":"HighlightMode"},"occurrences":{"type":"array","items":{"type":"object","properties":{"highlights":{"type":"array","items":{"type":"object","properties":{"offset":{"type":"object","properties":{"child":{"type":"integer","format":"int32","description":"The index of the offset into the inner-html of the node identified by the CSS-selector."},"length":{"type":"integer","format":"int32","description":"The length of the offset into the inner-html of the node identified by the CSS-selector, starting from the position identified by the start-property."},"start":{"type":"integer","format":"int32","description":"The start-offset (0-based) of the offset into the inner-html of the node identified by the CSS-selector."}},"description":"An optional offset into the inner-html of the node identified by the CSS-selector.","required":["child","length","start"],"title":"TextOffset"},"selector":{"type":"string","description":"CSS selector used for identifying an HTML element."}},"description":"NOTRANSLATION: TK: SIAPI_DTO_PROPERTY / HighlightInfo ¤","title":"HighlightInfo"},"description":"Array of highlighting info for each of the issues found by ContentCheck used for identifying the HTML elements causing the issues.","title":"HighlightInfo"}},"description":"NOTRANSLATION: TK: SIAPI_DTO_PROPERTY / Occurrence ¤","title":"Occurrence"},"description":"List of identification of each occurrence.","title":"Occurrence"},"total":{"type":"integer","format":"int32","description":"Total number of occurrences. The list of occurrences may be restricted an dso this number will describe the actual, total number of occurrences found."}},"description":"Optional information about individual occurrences of this match on a page. Will only be present for issues that can actually be highlighted on the page. For instance, misspellings can be highlighted, but an issue related to e.g. the size of the page being too big cannot be highlighted.","required":["mode","total"],"title":"OccurrenceInfo"}},"title":"Match"},"description":"List of matches for this issue. For e.g. misspellings, this will be the list of actual misspelled words.","title":"Match"}},"description":"NOTRANSLATION: TK: SIAPI_DTO_PROPERTY / Issue ¤","title":"Issue"},"description":"Issues related to Accessibility","title":"Issue"},"policy":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the found issue"},"info":{"type":"string","description":"Further optional information about the issue"},"matches":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the match. For e.g. a misspelling match, this will be the actual misspelled word."},"occurrence":{"type":"object","properties":{"mode":{"type":"string","enum":["content"],"default":"content","description":"Indicate how this occurrence shall be shown in the page content.","title":"HighlightMode"},"occurrences":{"type":"array","items":{"type":"object","properties":{"highlights":{"type":"array","items":{"type":"object","properties":{"offset":{"type":"object","properties":{"child":{"type":"integer","format":"int32","description":"The index of the offset into the inner-html of the node identified by the CSS-selector."},"length":{"type":"integer","format":"int32","description":"The length of the offset into the inner-html of the node identified by the CSS-selector, starting from the position identified by the start-property."},"start":{"type":"integer","format":"int32","description":"The start-offset (0-based) of the offset into the inner-html of the node identified by the CSS-selector."}},"description":"An optional offset into the inner-html of the node identified by the CSS-selector.","required":["child","length","start"],"title":"TextOffset"},"selector":{"type":"string","description":"CSS selector used for identifying an HTML element."}},"description":"NOTRANSLATION: TK: SIAPI_DTO_PROPERTY / HighlightInfo ¤","title":"HighlightInfo"},"description":"Array of highlighting info for each of the issues found by ContentCheck used for identifying the HTML elements causing the issues.","title":"HighlightInfo"}},"description":"NOTRANSLATION: TK: SIAPI_DTO_PROPERTY / Occurrence ¤","title":"Occurrence"},"description":"List of identification of each occurrence.","title":"Occurrence"},"total":{"type":"integer","format":"int32","description":"Total number of occurrences. The list of occurrences may be restricted an dso this number will describe the actual, total number of occurrences found."}},"description":"Optional information about individual occurrences of this match on a page. Will only be present for issues that can actually be highlighted on the page. For instance, misspellings can be highlighted, but an issue related to e.g. the size of the page being too big cannot be highlighted.","required":["mode","total"],"title":"OccurrenceInfo"}},"title":"Match"},"description":"List of matches for this issue. For e.g. misspellings, this will be the list of actual misspelled words.","title":"Match"}},"description":"NOTRANSLATION: TK: SIAPI_DTO_PROPERTY / Issue ¤","title":"Issue"},"description":"Issues related to Policy","title":"Issue"},"quality_assurance":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the found issue"},"info":{"type":"string","description":"Further optional information about the issue"},"matches":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the match. For e.g. a misspelling match, this will be the actual misspelled word."},"occurrence":{"type":"object","properties":{"mode":{"type":"string","enum":["content"],"default":"content","description":"Indicate how this occurrence shall be shown in the page content.","title":"HighlightMode"},"occurrences":{"type":"array","items":{"type":"object","properties":{"highlights":{"type":"array","items":{"type":"object","properties":{"offset":{"type":"object","properties":{"child":{"type":"integer","format":"int32","description":"The index of the offset into the inner-html of the node identified by the CSS-selector."},"length":{"type":"integer","format":"int32","description":"The length of the offset into the inner-html of the node identified by the CSS-selector, starting from the position identified by the start-property."},"start":{"type":"integer","format":"int32","description":"The start-offset (0-based) of the offset into the inner-html of the node identified by the CSS-selector."}},"description":"An optional offset into the inner-html of the node identified by the CSS-selector.","required":["child","length","start"],"title":"TextOffset"},"selector":{"type":"string","description":"CSS selector used for identifying an HTML element."}},"description":"NOTRANSLATION: TK: SIAPI_DTO_PROPERTY / HighlightInfo ¤","title":"HighlightInfo"},"description":"Array of highlighting info for each of the issues found by ContentCheck used for identifying the HTML elements causing the issues.","title":"HighlightInfo"}},"description":"NOTRANSLATION: TK: SIAPI_DTO_PROPERTY / Occurrence ¤","title":"Occurrence"},"description":"List of identification of each occurrence.","title":"Occurrence"},"total":{"type":"integer","format":"int32","description":"Total number of occurrences. The list of occurrences may be restricted an dso this number will describe the actual, total number of occurrences found."}},"description":"Optional information about individual occurrences of this match on a page. Will only be present for issues that can actually be highlighted on the page. For instance, misspellings can be highlighted, but an issue related to e.g. the size of the page being too big cannot be highlighted.","required":["mode","total"],"title":"OccurrenceInfo"}},"title":"Match"},"description":"List of matches for this issue. For e.g. misspellings, this will be the list of actual misspelled words.","title":"Match"}},"description":"NOTRANSLATION: TK: SIAPI_DTO_PROPERTY / Issue ¤","title":"Issue"},"description":"Issues related to Quality Assurance","title":"Issue"},"seo":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the found issue"},"info":{"type":"string","description":"Further optional information about the issue"},"matches":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the match. For e.g. a misspelling match, this will be the actual misspelled word."},"occurrence":{"type":"object","properties":{"mode":{"type":"string","enum":["content"],"default":"content","description":"Indicate how this occurrence shall be shown in the page content.","title":"HighlightMode"},"occurrences":{"type":"array","items":{"type":"object","properties":{"highlights":{"type":"array","items":{"type":"object","properties":{"offset":{"type":"object","properties":{"child":{"type":"integer","format":"int32","description":"The index of the offset into the inner-html of the node identified by the CSS-selector."},"length":{"type":"integer","format":"int32","description":"The length of the offset into the inner-html of the node identified by the CSS-selector, starting from the position identified by the start-property."},"start":{"type":"integer","format":"int32","description":"The start-offset (0-based) of the offset into the inner-html of the node identified by the CSS-selector."}},"description":"An optional offset into the inner-html of the node identified by the CSS-selector.","required":["child","length","start"],"title":"TextOffset"},"selector":{"type":"string","description":"CSS selector used for identifying an HTML element."}},"description":"NOTRANSLATION: TK: SIAPI_DTO_PROPERTY / HighlightInfo ¤","title":"HighlightInfo"},"description":"Array of highlighting info for each of the issues found by ContentCheck used for identifying the HTML elements causing the issues.","title":"HighlightInfo"}},"description":"NOTRANSLATION: TK: SIAPI_DTO_PROPERTY / Occurrence ¤","title":"Occurrence"},"description":"List of identification of each occurrence.","title":"Occurrence"},"total":{"type":"integer","format":"int32","description":"Total number of occurrences. The list of occurrences may be restricted an dso this number will describe the actual, total number of occurrences found."}},"description":"Optional information about individual occurrences of this match on a page. Will only be present for issues that can actually be highlighted on the page. For instance, misspellings can be highlighted, but an issue related to e.g. the size of the page being too big cannot be highlighted.","required":["mode","total"],"title":"OccurrenceInfo"}},"title":"Match"},"description":"List of matches for this issue. For e.g. misspellings, this will be the list of actual misspelled words.","title":"Match"}},"description":"NOTRANSLATION: TK: SIAPI_DTO_PROPERTY / Issue ¤","title":"Issue"},"description":"Issues related to SEO","title":"Issue"},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"_links"}},"title":"ContentCheckIssues"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"}]}},"/content/checks/{content_id}/policy/matching_policies":{"get":{"tags":["Content"],"summary":"Get the matching policies for the content","description":"Get the matching policies for the content","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Id of the policy"},"occurrences":{"type":"integer","format":"int64","description":"Number of occurrences of this policy's matches on this page.","title":"CappedValue"},"policy_category":{"type":"string","enum":["content","media","documents"],"default":"content","description":"The category of the policy: content, media, documents.","title":"PolicyCategory"},"policy_name":{"type":"string","description":"The name of the policy."},"policy_priority":{"type":"string","enum":["none","low","medium","high"],"default":"none","description":"The priority of the policy.","title":"PfgPolicyPriority"}},"required":["id","policy_category","policy_priority"],"title":"ContentCheckPolicyInfo"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"ContentCheckPolicyInfoList"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/checks/{content_id}/quality_assurance/inventory/capture_tags":{"get":{"tags":["Content"],"summary":"Get the capture tags found in the content","description":"Get the capture tags found in the content","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Id of the body tag name."},"capture_tag":{"type":"string","description":"The Capture tag key."},"occurrences":{"type":"integer","format":"int32","description":"Number of times this Capture tag is found."},"_links":{"type":"object","properties":{"occurrences":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to page check.","title":"href"}},"description":"Links to more detailed results.","title":"_links"}},"required":["id","occurrences"],"title":"BodyTagName"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"next":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the next page in the result set.","title":"href"},"prev":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the previous page in the result set.","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"BodyTagNameList"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/checks/{content_id}/quality_assurance/inventory/email_addresses":{"get":{"tags":["Content"],"summary":"Get the email addresses found in the content","description":"Get the email addresses found in the content","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Id of the email address."},"action_required":{"type":"string","description":"Action required for this email (free text note field).","title":"EmailAction"},"detected":{"type":"string","format":"date-time","description":"Timestamp for first detection of email address. ","title":"DateTime"},"email":{"type":"string","description":"The email address.","title":"Email"},"email_address_type":{"type":"string","enum":["internal","external"],"default":"internal","description":"Email address type (external/internal).","title":"EmailAddressType"},"_links":{"type":"object","properties":{"pages":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to get the pages that are related to the item.","title":"href"}},"description":"Links to more detailed results.","title":"_links"}},"required":["id","detected","email_address_type"],"title":"EmailAddress"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"next":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the next page in the result set.","title":"href"},"prev":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the previous page in the result set.","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"EmailAddressList"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/checks/{content_id}/quality_assurance/inventory/link_texts":{"get":{"tags":["Content"],"summary":"Get the link texts found in the content","description":"Get the link texts found in the content","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Id of the link text."},"text":{"type":"string","description":"The link text."},"_links":{"type":"object","properties":{"pages":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to get the pages that are related to the item.","title":"href"}},"description":"Links to more detailed results.","title":"_links"}},"required":["id"],"title":"LinkText"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"next":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the next page in the result set.","title":"href"},"prev":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the previous page in the result set.","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"LinkTextList"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/checks/{content_id}/quality_assurance/inventory/links":{"get":{"tags":["Content"],"summary":"Get the links found in the content","description":"Get the links found in the content","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"The ID of the link."},"url":{"type":"string","description":"The URL of the link.","title":"Url"},"documents":{"type":"integer","format":"int32","description":"Number of documents this link appears in."},"http_status":{"type":"integer","format":"int32","description":"HTTP status code.","title":"HttpStatus"},"is_broken":{"type":"boolean","description":"Is it a broken link."},"media_type":{"type":"string","description":"Media type."},"page_views":{"type":"integer","format":"int32","description":"Number of times this page has been viewed"},"pages":{"type":"integer","format":"int32","description":"Number of pages the link is found on."},"unsafe_status":{"type":"string","enum":["any","malware","phishing","unwanted"],"default":"any","description":"RFS","title":"UnsafeStatus"},"_links":{"type":"object","properties":{"documents":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to get the documents that are related to the item.","title":"href"},"pages":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to get the pages that are related to the item.","title":"href"}},"description":"Links to more detailed results.","title":"_links"}},"required":["id","is_broken","pages"],"title":"Link"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"next":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the next page in the result set.","title":"href"},"prev":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the previous page in the result set.","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"LinkList"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/checks/{content_id}/quality_assurance/inventory/meta_tags":{"get":{"tags":["Content"],"summary":"Get the meta tags found in the content","description":"Get the meta tags found in the content","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Id of the meta tag name."},"meta_tag":{"type":"string","description":"Value of the meta tag."},"_links":{"type":"object","properties":{"contents":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the contents.","title":"href"}},"description":"Links to more detailed results.","title":"_links"}},"required":["id"],"title":"MetaTagName"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"next":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the next page in the result set.","title":"href"},"prev":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the previous page in the result set.","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"MetaTagNameList"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/checks/{content_id}/quality_assurance/inventory/personal_id_numbers":{"get":{"tags":["Content"],"summary":"Get the personal id numbers found in the content","description":"Get the personal id numbers found in the content","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Id of the personal id number."},"documents":{"type":"integer","format":"int32","description":"Number of documents where the personal id number is found."},"pages":{"type":"integer","format":"int32","description":"Number pf pages where personal id number is found."},"personal_id_number":{"type":"string","description":"The personal id number."},"_links":{"type":"object","properties":{"documents":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to get the documents that are related to the item.","title":"href"},"pages":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to get the pages that are related to the item.","title":"href"}},"description":"Links to more detailed results.","title":"_links"}},"required":["id","documents","pages"],"title":"PersonalIdNumber"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"next":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the next page in the result set.","title":"href"},"prev":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the previous page in the result set.","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"PersonalIdNumberList"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/checks/{content_id}/quality_assurance/inventory/phone_numbers":{"get":{"tags":["Content"],"summary":"Get the phone numbers found in the content","description":"Get the phone numbers found in the content","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Id of the phone number."},"phone_number":{"type":"string","description":"The phone number."},"_links":{"type":"object","properties":{"pages":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to get the pages that are related to the item.","title":"href"}},"description":"Links to more detailed results.","title":"_links"}},"required":["id"],"title":"PhoneNumber"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"next":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the next page in the result set.","title":"href"},"prev":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the previous page in the result set.","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"PhoneNumberList"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/checks/{content_id}/quality_assurance/inventory/trademarks":{"get":{"tags":["Content"],"summary":"Get the trademarks found in the content","description":"Get the trademarks found in the content","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Id of the trademark."},"name":{"type":"string","description":"The trademark name."},"duplicates":{"type":"string","description":"Possible trademark duplicates."},"ignored":{"type":"boolean","description":"Is the trademark ignored."},"_links":{"type":"object","properties":{"pages":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to get the pages that are related to the item.","title":"href"}},"description":"Links to more detailed results.","title":"_links"}},"required":["id","ignored"],"title":"Trademark"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"next":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the next page in the result set.","title":"href"},"prev":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the previous page in the result set.","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"TrademarkList"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/checks/{content_id}/quality_assurance/links/broken_links":{"get":{"tags":["Content"],"summary":"Get the broken links found in the content","description":"Get the broken links found in the content","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"The ID of the broken document link."},"url":{"type":"string","description":"The URL of the broken document link.","title":"Url"},"http_status":{"type":"integer","format":"int32","description":"HTTP status for the broken link.","title":"HttpStatus"},"is_confirmed":{"type":"boolean","description":"URL was confirmed as broken\n"},"last_checked":{"type":"string","format":"date-time","description":"Timestamp for when this link was last checked.","title":"DateTime"},"link_status_changed":{"type":"string","format":"date-time","description":"When a change in the link status was last detected.","title":"DateTime"},"message":{"type":"string","description":"HTTP status message."},"_links":{"type":"object","properties":{"pages":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to get the pages that are related to the item.","title":"href"}},"description":"Links to more detailed results.","title":"_links"}},"required":["id","is_confirmed","last_checked","link_status_changed"],"title":"BrokenPageLink"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"next":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the next page in the result set.","title":"href"},"prev":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the previous page in the result set.","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"BrokenPageLinkList"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/checks/{content_id}/quality_assurance/links/unsafe_domains":{"get":{"tags":["Content"],"summary":"Get the list of links to unsafe domains found in the content","description":"Get the list of links to unsafe domains found in the content","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Id of the unsafe domain."},"clicks_on_domain":{"type":"integer","format":"int32","description":"Number of times a link to an unsafe domain has been clicked."},"documents":{"type":"integer","format":"int32","description":"Number of documents where the unsafe domain is found."},"domain":{"type":"string","description":"The unsafe domain name."},"last_checked":{"type":"string","format":"date-time","description":"When the domain was last checked.","title":"DateTime"},"status":{"type":"string","enum":["any","malware","phishing","unwanted"],"default":"any","description":"The status of the domain (why it's deemed unsafe).","title":"UnsafeStatus"},"_links":{"type":"object","properties":{"documents":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to get the documents that are related to the item.","title":"href"},"pages":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to get the pages that are related to the item.","title":"href"}},"description":"Links to more detailed results.","title":"_links"}},"required":["id","last_checked","status"],"title":"UnsafeDomain"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"next":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the next page in the result set.","title":"href"},"prev":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the previous page in the result set.","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"UnsafeDomainList"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/checks/{content_id}/quality_assurance/readability":{"get":{"tags":["Content"],"summary":"Get detailed information of the readability scores of the content for the various metrics","description":"Get detailed information of the readability scores of the content for the various metrics","produces":["application/json"],"responses":{"200":{"description":"Readability score of the content for every metric. The value of `account_readability_type` can be used for looking up the configured readability metric directly.","schema":{"type":"object","properties":{"account_readability_type":{"type":"string","enum":["all","lix","automated_readability","coleman_liau","smog","gunning_fog","flesch_kincaid_grade_level","flesch_kincaid_reading_ease"],"default":"all","description":"The type of metric that has been configured for the account (in the platform). This value can be used to lookup the corresponding object with values.","title":"ReadabilityType"},"automated_readability":{"type":"object","properties":{"chars_with_digits":{"type":"integer","format":"int32","description":"Number of characters, including digits"},"long_sentences_with_digits_unique":{"type":"integer","format":"int32","description":"Number of unique long sentences"},"long_words_unique":{"type":"integer","format":"int32","description":"Number of unique long words"},"sentences_with_digits":{"type":"integer","format":"int32","description":"Number of sentences"},"words":{"type":"integer","format":"int32","description":"Number of words"}},"description":"Readability values for the \"Automated Readability\" metric","required":["chars_with_digits","long_sentences_with_digits_unique","long_words_unique","sentences_with_digits","words"],"title":"automated_readability"},"coleman_liau":{"type":"object","properties":{"average_chars_with_digits":{"type":"integer","format":"int32","description":"Average number of letters or digits per 100 words"},"average_sentences_with_digits":{"type":"integer","format":"int32","description":"Average number of sentences per 100 words"},"long_sentences_with_digits_unique":{"type":"integer","format":"int32","description":"Number of unique sentences"},"long_words_with_digits_unique":{"type":"integer","format":"int32","description":"Number of unique long words"}},"description":"Readability values for the \"Coleman Liau\" metric","required":["average_chars_with_digits","average_sentences_with_digits","long_sentences_with_digits_unique","long_words_with_digits_unique"],"title":"coleman_liau"},"flesch_kincaid_grade_level":{"type":"object","properties":{"long_sentences_unique":{"type":"integer","format":"int32","description":"Number of unique long sentences"},"poly_syllabic_words_unique":{"type":"integer","format":"int32","description":"Number of unique poly-syllabic words"},"sentences":{"type":"integer","format":"int32","description":"Number of sentences"},"words":{"type":"integer","format":"int32","description":"Number of words"}},"description":"Readability values for the \"Flesh Kincaid Grade Level\" metric","required":["long_sentences_unique","poly_syllabic_words_unique","sentences","words"],"title":"flesch_kincaid_grade_level"},"flesch_kincaid_reading_ease":{"type":"object","properties":{"long_sentences_unique":{"type":"integer","format":"int32","description":"Number of unique long sentences"},"poly_syllabic_words_unique":{"type":"integer","format":"int32","description":"Number of unique poly-syllabic words"},"sentences":{"type":"integer","format":"int32","description":"Number of senctences"},"words":{"type":"integer","format":"int32","description":"Number of words"}},"description":"Readability values for the \"Flesh Kincaid Reading Ease\" metric","required":["long_sentences_unique","poly_syllabic_words_unique","sentences","words"],"title":"flesch_kincaid_reading_ease"},"gunning_fog":{"type":"object","properties":{"complex_words_gunning_fog":{"type":"integer","format":"int32","description":"Number of complex words"},"complex_words_gunning_fog_unique":{"type":"integer","format":"int32","description":"Number of unique complex words"},"long_sentences_gunning_fog_unique":{"type":"integer","format":"int32","description":"Number of unique long sentences"},"sentences_gunning_fog":{"type":"integer","format":"int32","description":"Number of sentences"},"words_gunning_fog":{"type":"integer","format":"int32","description":"Number of words"}},"description":"Readability values for the \"Gunning Fog\" metric","required":["complex_words_gunning_fog","complex_words_gunning_fog_unique","long_sentences_gunning_fog_unique","sentences_gunning_fog","words_gunning_fog"],"title":"gunning_fog"},"lix":{"type":"object","properties":{"long_words":{"type":"integer","format":"int32","description":"Number of long words"},"sentences":{"type":"integer","format":"int32","description":"Number of sentences"},"words":{"type":"integer","format":"int32","description":"Number of words"}},"description":"Readability values for the \"Lix\" metric","required":["long_words","sentences","words"],"title":"lix"},"score":{"type":"number","format":"double","description":"The readability score for the account configured metric"},"smog":{"type":"object","properties":{"poly_syllabic_words_smog":{"type":"integer","format":"int32","description":"Number of poly-syllaboc words"},"poly_syllabic_words_unique_smog":{"type":"integer","format":"int32","description":"Number of unique poly-syllabic words"}},"description":"Readability values for the \"SMOG\" metric","required":["poly_syllabic_words_smog","poly_syllabic_words_unique_smog"],"title":"smog"},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"_links"}},"required":["account_readability_type"],"title":"ContentCheckReadability"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"}]}},"/content/checks/{content_id}/quality_assurance/spelling/languages":{"get":{"tags":["Content"],"summary":"Get the languages found in the content","description":"Lists the languages that was detected in the content, along with info about the percentage of the total content is in that language, and whether spellchecking is supported for the language.","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"language_code":{"type":"string","description":"Two letter language code for the language."},"percentage":{"type":"number","format":"double","description":"Percentage of site content written in the language.","title":"Percentage"},"spelling_support":{"type":"boolean","description":"Is spellcheck available."},"_links":{"type":"object","properties":{"pages":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to get the pages that are related to the item.","title":"href"}},"description":"Links to more detailed results.","title":"_links"}},"required":["spelling_support"],"title":"Language"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"next":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the next page in the result set.","title":"href"},"prev":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the previous page in the result set.","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"LanguageList"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/checks/{content_id}/quality_assurance/spelling/misspellings":{"get":{"tags":["Content"],"summary":"Get the misspellings found in the content","description":"Get the misspellings found in the content","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Id of misspelled word."},"suggestions":{"type":"array","items":{"type":"string"},"description":"Deprecated. List of suggestions for correct spelling.","title":"Suggestions"},"word":{"type":"string","description":"The misspelled word."}},"required":["id"],"title":"MisspellingOnPage"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"next":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the next page in the result set.","title":"href"},"prev":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the previous page in the result set.","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"MisspellingOnPageList"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/checks/{content_id}/quality_assurance/spelling/potential_misspellings":{"get":{"tags":["Content"],"summary":"Get the potential misspellings found in the content","description":"Get the potential misspellings found in the content","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Id of misspelled word."},"suggestions":{"type":"array","items":{"type":"string"},"description":"Deprecated. List of suggestions for correct spelling.","title":"Suggestions"},"word":{"type":"string","description":"The misspelled word."}},"required":["id"],"title":"PagePotentialMisspelling"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"next":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the next page in the result set.","title":"href"},"prev":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the previous page in the result set.","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"PagePotentialMisspellingList"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/checks/{content_id}/seov2/issues":{"get":{"tags":["Content"],"summary":"Get a list of SEO issues found in the content","description":"Get a list of SEO issues found in the content","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"ai_impact":{"type":"string","description":"Indicates if given rule has an AI Impact"},"complexity":{"type":"string","enum":["none","low","medium","high","extreme"],"default":"none","description":"The complexity of the issue","title":"SeoIssueComplexity"},"issue_name":{"type":"string","description":"The name of the issue"},"issue_type":{"type":"string","enum":["unknown","technical","content","ux","mobile","keyword"],"default":"unknown","description":"The type of issue","title":"SeoIssueType"},"occurrences":{"type":"integer","format":"int32","description":"The number of times the issue occurs"},"seo_points_gained":{"type":"number","format":"double","description":"The points already gained towards the SEO score"},"seo_points_to_gain":{"type":"number","format":"double","description":"The points that can be gained towards the SEO score, if the issue is fixed"},"_links":{"type":"object","properties":{"details":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"API link to get more details related to the item.","title":"href"}},"description":"Links to more detailed results.","title":"_links"},"_siteimprove":{"type":"object","properties":{"page_report":{"type":"object","properties":{"href":{"type":"string","description":"The actual URL for this particular link."}},"description":"URL for the siteimprove page report for this page","title":"href"}},"description":"Further links to the Siteimprove web application related to this result.","title":"_siteimprove"}},"required":["complexity","issue_type","occurrences","seo_points_gained","seo_points_to_gain"],"title":"SeoIssueWithRecommendation"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"next":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the next page in the result set.","title":"href"},"prev":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the previous page in the result set.","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"SeoIssueWithRecommendationList"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000}]}},"/content/checks/{content_id}/summary":{"get":{"tags":["Content"],"summary":"Get a summary of the findings of the content check","description":"Get a summary of the findings of the content check","produces":["application/json"],"responses":{"200":{"description":"Get the content check summary for this specific content for all available services - Quality Assurance, Accessibility, etc.","schema":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Id of this specific content"},"title":{"type":"string","description":"Title of the content (if any)"},"is_a11y_done":{"type":"boolean","description":"Indicates whether Accessibility checks are done running"},"is_done":{"type":"boolean","description":"Indicates whether the check is done or not"},"is_readability_done":{"type":"boolean","description":"Indicates whether Readability checks are done running"},"is_seo_done":{"type":"boolean","description":"Indicates whether SEO checks are done running"},"is_spelling_done":{"type":"boolean","description":"Indicates whether spelling is done running"},"size_bytes":{"type":"integer","format":"int64","description":"Size of the content in bytes","title":"FileSize"},"summary":{"type":"object","properties":{"a11y":{"type":"object","properties":{"a_confirmed_issues":{"type":"integer","format":"int32","description":"Number of confirmed A-Level issues found on this page"},"aa_confirmed_issues":{"type":"integer","format":"int32","description":"Number of confirmed AA-Level issues found on this page"},"aaa_confirmed_issues":{"type":"integer","format":"int32","description":"Number of confirmed AAA-Level issues found on this page"},"si_best_practice_confirmed_issues":{"type":"integer","format":"int32","description":"Number of confirmed Siteimprove best practice issues found on this page"},"wai_aria_confirmed_issues":{"type":"integer","format":"int32","description":"Number of confirmed wai aria issues found on this page\n\n"}},"description":"Summary details related to A11 NextGen","title":"summary.a11y"},"policy":{"type":"object","properties":{"high_priority_matching_policies":{"type":"integer","format":"int32","description":"Number of high priority policies matching this page."},"high_priority_pending_checks":{"type":"integer","format":"int32","description":"Number of high priority policies currently being re-executed for this page. The results of each of these will be available as soon as the execution completes for each individual policy."},"matching_policies":{"type":"integer","format":"int32","description":"Number of policies matching this page."}},"description":"Summary details related to Policy.","title":"summary.policy"},"quality_assurance":{"type":"object","properties":{"email_addresses":{"type":"integer","format":"int32","description":"Number of email addresses found on this page\n"},"languages":{"type":"integer","format":"int32","description":"Number of languages found on the page"},"link_texts":{"type":"integer","format":"int32","description":"Number of link texts on the page"},"links":{"type":"integer","format":"int32","description":"Number of links on the page"},"meta_tags":{"type":"integer","format":"int32","description":"Number of meta tags on the page"},"misspellings":{"type":"integer","format":"int32","description":"Number of misspellings for this page."},"personal_id_numbers":{"type":"integer","format":"int32","description":"Number of personal id numbers on this page"},"phone_numbers":{"type":"integer","format":"int32","description":"Number of phone numbers on this page"},"potential_misspellings":{"type":"integer","format":"int32","description":"Number of potential misspellings for this page."},"readability":{"type":"object","properties":{"bucket":{"type":"string","description":"The readability bucket that this content falls into (for the account's selected readability metric)"},"rank":{"type":"integer","format":"int32","description":"The readability score of the content"}},"description":"Summary of the readability score for the content","title":"summary.quality_assurance.readability"},"trademarks":{"type":"integer","format":"int32","description":"Number of trademarks on this page"}},"description":"Summary details related to Quality Assurance.","title":"summary.quality_assurance"},"seov2":{"type":"object","properties":{"content_issues":{"type":"integer","format":"int32","description":"Number of content issues detected for this page."},"mobile_issues":{"type":"integer","format":"int32","description":"Number of mobile issues detected for this page."},"technical_issues":{"type":"integer","format":"int32","description":"Number of technical issues detected for this page."},"ux_issues":{"type":"integer","format":"int32","description":"Number of UX issues detected for this page."}},"description":"Summary details related to SEO v2.","title":"summary.seov2"}},"description":"The summary data","title":"summary"},"_links":{"type":"object","properties":{"a11y":{"type":"object","properties":{"selected_issues":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Links to A11Y nextGen issues endpoint","title":"href"}},"description":"Links to Accessibility (NextGen) endpoints.","title":"_links.a11y"},"policy":{"type":"object","properties":{"matching_policies":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Links to Policy details endpoints.\n","title":"href"}},"description":"Links to Policy endpoints.","title":"_links.policy"},"quality_assurance":{"type":"object","properties":{"email_addresses":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the email addresses details endpoint","title":"href"},"languages":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the languages details endpoint","title":"href"},"link_texts":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the link texts details endpoint","title":"href"},"links":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to Quality Assurance links endpoints.","title":"href"},"meta_tags":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the meta tags details endpoint","title":"href"},"misspellings":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the misspellings details endpoint","title":"href"},"personal_id_numbers":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the personal id numbers details endpoint","title":"href"},"phone_numbers":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the phone numbers details endpoint","title":"href"},"potential_misspellings":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the potential misspellings details endpoint","title":"href"},"readability":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the readability details endpoints","title":"href"},"trademarks":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the trademarks details endpoint","title":"href"}},"description":"Links to Quality Assurance endpoints.","title":"_links.quality_assurance"},"seov2":{"type":"object","properties":{"issues":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Links to SeoV2 issues endpoint","title":"href"}},"description":"Links to SeoV2 endpoints","title":"_links.seov2"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Links to more detailed results.","title":"_links"}},"required":["id","is_a11y_done","is_done","is_readability_done","is_seo_done","is_spelling_done"],"title":"ContentCheckSummary"}}},"parameters":[{"name":"content_id","in":"path","description":"The content id returned when the content was uploaded","required":true,"type":"integer","format":"int64"}]}},"/content/unpublish_impact":{"get":{"tags":["Content"],"summary":"Get unpublishing impact for a page via Url","description":"Get all information for this page that will be impacted in case of unpublishing it.","produces":["application/json"],"responses":{"200":{"description":"Get all information for this page for all available services - Quality Assurance, Accessibility, etc.","schema":{"type":"object","properties":{"title":{"type":"string","description":"Title of the page"},"url":{"type":"string","description":"URL for the live version of the page"},"analytics_page_id":{"type":"string","format":"uint64","description":"Page id for Analytics","title":"UInt64"},"analytics_site_id":{"type":"integer","format":"int64","description":"Site id for Analytics"},"content_page_id":{"type":"integer","format":"int64","description":"Page id for Quality Assurance"},"content_site_id":{"type":"integer","format":"int64","description":"Site id for Quality Assurance"},"relations":{"type":"object","properties":{"ads":{"type":"object","properties":{"ad_groups":{"type":"integer","format":"int32","description":"Amount of Ad Groups"},"ads":{"type":"integer","format":"int32","description":"Amount of Ads"},"campaigns":{"type":"integer","format":"int32","description":"Amount of Campaigns"},"clicks":{"type":"integer","format":"int32","description":"Clicks"},"page_metrics":{"type":"array","items":{"type":"object","properties":{"ad_groups":{"type":"integer","format":"int32","description":"Amount of Ad Groups"},"ads":{"type":"integer","format":"int32","description":"Amount of Ads"},"adwords_account_id":{"type":"integer","format":"int64","description":"Id for the Adwords Account"},"campaigns":{"type":"integer","format":"int32","description":"Amount of Campaigns"},"clicks":{"type":"integer","format":"int32","description":"Clicks"},"cost":{"type":"number","format":"double","description":"Cost\n"},"currency":{"type":"string","description":"Currency"},"landing_page_id":{"type":"integer","format":"int64","description":"Id for the landing page"}},"description":"NOTRANSLATION: TK: SIAPI_DTO_PROPERTY / PageDeletionMetaAdwordsLandingPageMetrics ¤","required":["ad_groups","ads","adwords_account_id","campaigns","clicks","cost","landing_page_id"],"title":"PageDeletionMetaAdwordsLandingPageMetrics"},"description":"Metrics for the related landing pages","title":"PageDeletionMetaAdwordsLandingPageMetrics"}},"description":"Ads information for page.","required":["ad_groups","ads","campaigns","clicks"],"title":"PageDeletionMetaAdwordsRelationsCrossProduct"},"analytics":{"type":"object","properties":{"external_referring_pages":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Page ID"},"url":{"type":"string","description":"Page URL"}},"required":["id"],"title":"PageDeletionMetaUrlMeta"},"description":"External referring pages from traffic sources for page.","title":"PageDeletionMetaUrlMeta"},"has_behaviour_map":{"type":"boolean","description":"Check if page has behaviour map."},"page_views":{"type":"integer","format":"int32","description":"Number of times this page has been viewed"},"potential_campaigns":{"type":"array","items":{"type":"string"},"description":"Potential campaigns for page."},"potential_key_metrics":{"type":"array","items":{"type":"string"},"description":"Potential keymetrics for page."}},"description":"Analytics information for page.","title":"PageDeletionMetaAnalyticsRelationsCrossProduct"},"quality_assurance":{"type":"object","properties":{"documents_on_page":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Page ID"},"title":{"type":"string","description":"Page title"},"url":{"type":"string","description":"Page URL"}},"required":["id"],"title":"PageDeletionMetaPageMeta"},"description":"Documents on page.","title":"PageDeletionMetaPageMeta"},"documents_only_on_this_page":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Page ID"},"title":{"type":"string","description":"Page title"},"url":{"type":"string","description":"Page URL"}},"required":["id"],"title":"PageDeletionMetaPageMeta"},"description":"Documents that only appear on this page.","title":"PageDeletionMetaPageMeta"},"internal_referring_pages":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Page ID"},"title":{"type":"string","description":"Page title"},"url":{"type":"string","description":"Page URL"}},"required":["id"],"title":"PageDeletionMetaPageMeta"},"description":"Internal referring pages for page.","title":"PageDeletionMetaPageMeta"},"quality_assurance":{"type":"string","format":"date-time","description":"Summary related to Quality Assurance for page.","title":"DateTime"}},"description":"Quality Assurance information for page.","title":"PageDeletionMetaQaRelationsCrossProduct"},"seov2":{"type":"object","properties":{"backlinks":{"type":"array","items":{"type":"string"},"description":"Backlinks for page."},"is_target_page":{"type":"boolean","description":"Check if page is target page."},"ranking_keywords":{"type":"array","items":{"type":"object","properties":{"country":{"type":"string","description":"Country"},"keyword":{"type":"string","description":"Keyword"},"position":{"type":"integer","format":"int32","description":"Ranking position"}},"description":"NOTRANSLATION: TK: SIAPI_DTO_PROPERTY / PageDeletionMetaRankingKeyword ¤","required":["position"],"title":"PageDeletionMetaRankingKeyword"},"description":"Ranking keyword for page.","title":"PageDeletionMetaRankingKeyword"}},"description":"SEO information for page.","title":"PageDeletionMetaSeoRelationsCrossProduct"}},"description":"Product-related information for page.","title":"PageDeletionMetaRelationsCrossProduct"},"short_urls":{"type":"array","items":{"type":"object","properties":{"link_creation_time":{"type":"string","format":"date-time","description":"The link creation time","title":"DateTime"},"long_url":{"type":"string","description":"The original long URL"},"short_url":{"type":"string","description":"The short URL"},"url_shortener_name":{"type":"string","description":"URL shortener name (e.g. Bitly)"}},"title":"UrlShortenerLinkDetails"},"description":"The short URLs for the page.","title":"UrlShortenerLinkDetails"},"size_bytes":{"type":"integer","format":"int64","description":"Size in bytes","title":"FileSize"},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"_links"}},"title":"PageDeletionMetaCrossProduct"}}},"parameters":[{"name":"url","in":"query","description":"Url of the site","required":true,"type":"string"}]}},"/gdpr/domains_and_ip_addresses/domains":{"get":{"tags":["GDPR"],"summary":"Get GDPR-info for all domains","description":"Get all available GDPR-information about the domains, IP-addresses, and subdomains related to the account.","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.","schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Domain Id.\n"},"domain_name":{"type":"string","description":"Domain name, e.g. \"siteimprove.com\" or \"academy.siteimprove.com\"."},"organisation":{"type":"string","description":"Organisation, as found in the registration records, e.g. \"Siteimprove A/S\"."},"registrant":{"type":"string","description":"Registrant, as found in the registration records. Often a personal name e.g. \"Jane Doe\"."},"_links":{"type":"object","properties":{"details":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"API link to get more details related to the item.","title":"href"}},"description":"Links to more detailed results.","title":"_links"}},"required":["id"],"title":"DomainIndex"},"description":"Set of items.","title":"items"},"total_items":{"type":"integer","format":"int32","description":"Total number of items in result set.","title":"total_items"},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages in result set.","title":"total_pages"},"links":{"type":"object","properties":{"next":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the next page in the result set.","title":"href"},"prev":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the previous page in the result set.","title":"href"},"self":{"type":"object","properties":{"href":{"type":"string","format":"uri","description":"The actual URL for this particular link."}},"description":"Link to the endpoint itself.","title":"href"}},"description":"Further links related to the result.","title":"links"}},"required":["items","total_items","total_pages"],"title":"DomainIndexList"}}},"parameters":[{"name":"domain_status","in":"query","description":"Domain status to show confirmed, uncertain or rejected domains.","required":false,"type":"string","enum":["confirmed","unconfirmed","rejected"],"default":"confirmed"},{"name":"is_top_level","in":"query","description":"True for \"a.com\" and \"b.co.uk\" but false for \"c.d.com\" and \"e.f.co.uk\".","required":false,"type":"boolean"},{"name":"page","in":"query","description":"Page number to show when more than one page in paged output.","required":false,"type":"integer","format":"int32","default":1,"minimum":1},{"name":"page_size","in":"query","description":"Number of items/records per page in paged output.","required":false,"type":"integer","format":"int32","default":10,"minimum":1,"maximum":1000},{"name":"query","in":"query","description":"Return all items that matches the specified plain text query.","required":false,"type":"string"}]}},"/gdpr/domains_and_ip_addresses/domains/{domain_id}":{"get":{"tags":["GDPR"],"summary":"Get GDPR-information for a specific domain","description":"Get information about nameservers, registrant, subdomains etc for a specific domain.","produces":["application/json"],"responses":{"200":{"description":"The paged list of results.\n","schema":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Domain Id. "},"domain_name":{"type":"string","description":"Name of the domain, e.g. \"acme.c
[...]
